| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__Certificate Struct Reference
Certificates

Certificate data. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | SerialNumber
| Serial Number. More...
char * | Issuer
| Issuer. More...
char * | IssuerCommonName
| Issuer Common Name. More...
char * | ValidFrom
| Valid From. More...
char * | ValidTo
| Valid To. More...
char * | Subject
| Subject. More...
char * | SubjectCommonName
| Subject Common Name. More...
char * | NextAlarm
| Next Alarm. More...
enum unsp__CertificateStatus | Status
| Status. More...
enum unsp__CertificateNodeId | NodeId
| Node ID. More...
char * | Filename
| File Name. More...
enum unsp__KeySize * | KeySize
| Key Size. More...
enum unsp__CertificateType * | Type
| Certificate Type. More...
int * | UsedBy
| UsedBy info. More...
int * | CertsInChain
| Certificates in Chain. More...

## Detailed Description

Certificate data.

## Member Data Documentation

## ◆ CertsInChain

int* unsp__Certificate::CertsInChain

Certificates in Chain.

## ◆ Filename

char* unsp__Certificate::Filename

File Name.

## ◆ Issuer

char* unsp__Certificate::Issuer

Issuer.

## ◆ IssuerCommonName

char* unsp__Certificate::IssuerCommonName

Issuer Common Name.

## ◆ KeySize

enum unsp__KeySize* unsp__Certificate::KeySize

Key Size.

## ◆ NextAlarm

char* unsp__Certificate::NextAlarm

Next Alarm.

## ◆ NodeId

enum unsp__CertificateNodeId unsp__Certificate::NodeId

Node ID.

## ◆ SerialNumber

char* unsp__Certificate::SerialNumber

Serial Number.

## ◆ Status

enum unsp__CertificateStatus unsp__Certificate::Status

Status.

## ◆ Subject

char* unsp__Certificate::Subject

Subject.

## ◆ SubjectCommonName

char* unsp__Certificate::SubjectCommonName

Subject Common Name.

## ◆ Type

enum unsp__CertificateType* unsp__Certificate::Type

Certificate Type.

## ◆ UsedBy

int* unsp__Certificate::UsedBy

UsedBy info.

## ◆ ValidFrom

char* unsp__Certificate::ValidFrom

Valid From.

## ◆ ValidTo

char* unsp__Certificate::ValidTo

Valid To.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h